<?php
/*
Plugin Name: BlockQuotes
Plugin URI: http://www.wonkosworld.co.uk
Description: Custom blockquotes.
Version: 1.0
Date: November 3rd, 2007
Author: Wonko
Author URI: http://www.wonkosworld.co.uk
*/ 

$tlurl = "http://www.wonkosworld.co.uk/images/tl.gif";
$trurl = "http://www.wonkosworld.co.uk/images/tr.gif";
$blurl = "http://www.wonkosworld.co.uk/images/bl.gif";
$brurl = "http://www.wonkosworld.co.uk/images/br.gif";

/* Change the 1 to 0 below to leave <blockquote>...</blockquote> tags intact */
$replacebq = 1;

$bqpre_replacement = '<div style="width: 90%; margin: auto; padding: 0; background: url('.$trurl.') no-repeat right top;"><div style="margin: 0; padding: 0; background: url('.$tlurl.') no-repeat left top"><div style="margin: 0; padding: 0; background: url('.$brurl.') no-repeat right bottom"><div style="margin: 0; padding: 0; background: url('.$blurl.') no-repeat left bottom;"><div style="margin: 0; padding: 5px 10px;">';
$bqpost_replacement = '</div></div></div></div></div><div class="clear">&nbsp;</div>';

function bqsimpleTags($bqtext) {
    
    global $bqpre_replacement;
    global $bqpost_replacement;
    global $replacebq;
	
	if($replacebq==1)
	{
		$bqtext = str_replace('<blockquote>', '[quote]<p>', $bqtext);
		$bqtext = str_replace('</blockquote>', '</p>[/quote]', $bqtext);
	}
	
	/* Divs inside paragraphs are naughty so they need swapping round */
	$bqtext = str_replace('<p>[quote]', '[quote]<p>', $bqtext);
	$bqtext = str_replace('[/quote]</p>', '</p>[/quote]', $bqtext);
	
	$bqtext = str_replace('[quote]', $bqpre_replacement, $bqtext);
	$bqtext = str_replace('[/quote]', $bqpost_replacement, $bqtext);
    
    return $bqtext;
}

add_filter('the_content', 'bqsimpleTags');
add_filter('comment_text', 'bqsimpleTags');

?>
